Author: Krolock Category: Tools: Build Gamedata
Created: 11/01/2011 Assignee:
Updated: 03/03/2012 Due date:
Subject: Wrong includes in some max plugins
Description

3ds max 2012 changed in huge amount the include file and folder structure. Hence, the max plagins had to be adopted to support also
3ds max SDK 2012. Unfortunately a wrong include of the file functions.h changed the source code in that way, someone doesn't
receive any compiler error. But using the plugins in 3ds max does not export the c++ coded functions to max script. Max script throws
an error: function or object undefined.

The added patch fixes the source code to the right include and all plugins work as expected

History
#1 - 03/02/2012 10:29 pm - kaetemi
- Status changed from New to Patched

If it doesn't compile anymore, then complain.

#2 - 03/02/2012 11:40 pm - kervala

Is this patch compatible with previous 3dsmax versions ?

If not, couldn't we use some defines to check MAXSDK and use right includes ?

#3 - 03/02/2012 11:46 pm - kaetemi

@kervala: It already does that.

#4 - 03/03/2012 10:04 am - kervala

kaetemi wrote:

@kervala: It already does that.

Ah yes, you're right :) Sorry.

Files
max_plugins.patch 1.7 kB 11/01/2011 Krolock
